## GstContext GstContext |

## Functions

GstContext * | gst_context_new ()
GstContext * | gst_context_ref ()
void | gst_context_unref ()
GstContext * | gst_context_copy ()
const gchar * | gst_context_get_context_type ()
gboolean | gst_context_has_context_type ()
gboolean | gst_context_is_persistent ()
const GstStructure * | gst_context_get_structure ()
GstStructure * | gst_context_writable_structure ()
#define | gst_context_make_writable()
#define | gst_context_is_writable()
gboolean | gst_context_replace ()

## Types and Values

| GstContext

## Object Hierarchy

        GBoxed
        ╰── GstContext

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_context_new ()

    GstContext *
    gst_context_new (const gchar *context_type,
                     gboolean persistent);

### gst_context_ref ()

    GstContext *
    gst_context_ref (GstContext *context);

### gst_context_unref ()

    void
    gst_context_unref (GstContext *context);

### gst_context_copy ()

    GstContext *
    gst_context_copy (const GstContext *context);

### gst_context_get_context_type ()

    const gchar *
    gst_context_get_context_type (const GstContext *context);

### gst_context_has_context_type ()

    gboolean
    gst_context_has_context_type (const GstContext *context,
                                  const gchar *context_type);

### gst_context_is_persistent ()

    gboolean
    gst_context_is_persistent (const GstContext *context);

### gst_context_get_structure ()

    const GstStructure *
    gst_context_get_structure (const GstContext *context);

### gst_context_writable_structure ()

    GstStructure *
    gst_context_writable_structure (GstContext *context);

### gst_context_make_writable()

    #define         gst_context_make_writable(context)  GST_CONTEXT_CAST (gst_mini_object_make_writable (GST_MINI_OBJECT_CAST (context)))

### gst_context_is_writable()

    #define         gst_context_is_writable(context)     gst_mini_object_is_writable (GST_MINI_OBJECT_CAST (context))

### gst_context_replace ()

    gboolean
    gst_context_replace (GstContext **old_context,
                         GstContext *new_context);

## Types and Values

### GstContext

    typedef struct _GstContext GstContext;